Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# enumerator Struct Reference

## Data Fields
VALUE | obj
ID | meth
VALUE | args
VALUE | fib
VALUE | dst
VALUE | lookahead
VALUE | feedvalue
VALUE | stop_exc

## Detailed Description

Definition at line 84 of file enumerator.c.

## Field Documentation

VALUE enumerator::args

Definition at line 87 of file enumerator.c.

Referenced by ary2sv(), enumerator_block_call(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), inspect_enumerator(), and next_ii().

VALUE enumerator::dst

Definition at line 89 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::feedvalue

Definition at line 91 of file enumerator.c.

Referenced by enumerator_feed(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_ii().

VALUE enumerator::fib

Definition at line 88 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::lookahead

Definition at line 90 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_next_values(), enumerator_peek_values(), enumerator_rewind(), get_next_values(), and next_init().

ID enumerator::meth

Definition at line 86 of file enumerator.c.

Referenced by enumerator_block_call(), enumerator_init(), enumerator_init_copy(), enumerator_initialize(), inspect_enumerator(), and obj_to_enum().

VALUE enumerator::obj

Definition at line 85 of file enumerator.c.

Referenced by enumerator_allocate(), enumerator_block_call(), enumerator_each(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_ptr(), enumerator_rewind(), and inspect_enumerator().

VALUE enumerator::stop_exc

Definition at line 92 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_i().

The documentation for this struct was generated from the following file:

- enumerator.c